
Figure - Bug #117412
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111057 (New): AF-V2.0-Launcher/SystemU--应用预置

【AF】【EVT3】【百度输入法】打开应用宝，点击搜索框，提示“百度输入法屡次停止运行”，随后百度输
入法在任何页面均不可使用，并且重启无法恢复
2023-04-12 14:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-12

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: WORKSFORME Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【测试步骤】

1、打开应用宝，点击搜索框

【预期结果】

1、出现输入法键盘，可以正常输入

【实际结果】

1、出现“百度输入法屡次停止运行”的提示，之后在任何页面都无法唤起百度输入法，并且重启无法恢复

History

#1 - 2023-04-13 16:42 - CD TEST-方永红

- Subject changed from 【AF】【EVT3】【百度输入法】打开应用宝，点击搜索框，提示“百度输入法屡次停止运行”，并且重启无法恢复 to 【AF】

【EVT3】【百度输入法】打开应用宝，点击搜索框，提示“百度输入法屡次停止运行”，随后百度输入法在任何页面均不可使用，并且重启无法恢复

#2 - 2023-04-13 16:46 - CD TEST-方永红

- Description updated

#3 - 2023-04-18 17:44 - CD FW 曹覃刚

日志补充

百度输入法内部代码报空指针异常

04-11 05:11:02.616  3257  3257 E AndroidRuntime: FATAL EXCEPTION: main

04-11 05:11:02.616  3257  3257 E AndroidRuntime: Process: com.baidu.input, PID: 3257

04-11 05:11:02.616  3257  3257 E AndroidRuntime: java.lang.NullPointerException: Attempt to read from field 'int com.baidu.cxe.cXX' on a null object reference

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.cqx.aTB(Proguard:19)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.cqw.init(Proguard:713)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.crk.aVw(Proguard:1798)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.crk.aVs(Proguard:1608)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.input.cocomodule.panel.ImePanelObserver.aD(Proguard:712)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.input.cocomodule.panel.ImePanelObserver.onInitFinish(Proguard:314)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.input.modular.ObservableImeService.notifyInitFinish(Proguard:372)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.input.modular.ObservableImeService.a(Proguard:382)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.input.modular.ObservableImeService.onStartInputView(Proguard:98)
04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.inputmethodservice.InputMethodService.startViews(InputMethodService.java:2304)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.inputmethodservice.InputMethodService.showWindow(InputMethodService.java:2250)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.baidu.input.ImeService.showWindow(Proguard:5660)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at

android.inputmethodservice.InputMethodService$InputMethodImpl.showSoftInput(InputMethodService.java:821)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at

android.inputmethodservice.InputMethodService$InputMethodImpl.showSoftInputWithToken(InputMethodService.java:790)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.inputmethodservice.IInputMethodWrapper.executeMessage(IInputMethodWrapper.java:225)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.android.internal.os.HandlerCaller$MyHandler.handleMessage(HandlerCaller.java:44)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

04-11 05:11:02.616  3257  3257 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#4 - 2023-08-01 14:54 - CDTS_TEST 王成

- Assignee changed from 物联网项目组-RD3_CDTS 周飞 to CD TEST-方永红

用最新版本输入法验证，不复现则关闭BUG

#5 - 2023-08-02 15:21 - CD TEST-方永红

- Status changed from New to RESOLVED

- Resolution changed from -- to WORKSFORME

在120、122、126、128版本上未复现此问题

先关闭

#6 - 2023-08-02 15:21 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#7 - 2023-08-02 15:23 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1441.txt 3.39 MB 2023-04-12 CD TEST-方永红
